%ALTPARAMS   is used to check the sensitivity of the results in
%           
%              Technology capital and the US Current Account"
%              by Ellen McGrattan and Ed Prescott 
%
%            See the appendix for details of the model, the benchmark 
%            parameters, and alternate parameterizations. Benchmark 
%            parameters are loaded first.  Users can run their own 
%            experiments by changing the elements of vector param(.).
%

%            Ellen McGrattan, 1-20-08

%
%
benchmark

%
% FILL IN CHANGES HERE....
%


%
% Update X and P (if needed) so that first-order conditions 
% and additional constraints hold
%
load match.dat
nyr                    = 5;
T                      = param(18);
cparam                 = [match(:,4);.31;ones(7,1)];
P0                     = param(19+16*T:26+17*T);
P1                     = secant('newPX',P0,[param;X0(:);cparam]);
[res,X1]               = newPX(P1,[param;X0(:);cparam]);
param1                 = [param(1:18+16*T);P1];

X0                     = X1;

param=param1;
end;
param                  = [param1;nyr];
results

